#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    int64_t int64_eq_const_0_0;
    int16_t int16_eq_const_1_0;
    uint8_t uint8_eq_const_2_0;

    if (size < 11)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&int64_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&int16_eq_const_1_0, &data[i], 2);
    i += 2;
    memcpy(&uint8_eq_const_2_0, &data[i], 1);
    i += 1;


    if (int64_eq_const_0_0 == -5286721520629762393)
    if (int16_eq_const_1_0 == -1274)
    if (uint8_eq_const_2_0 == 74)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
